OpenJPEG: opj_includes.h File Reference

OpenJPEG 2.4.0

Macros | Typedefs | Functions
opj_includes.h File Reference
`#include "opj_config_private.h"`
`#include <memory.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <ctype.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include "openjpeg.h"`
`#include "opj_inttypes.h"`
`#include "opj_clock.h"`
`#include "opj_malloc.h"`
`#include "event.h"`
`#include "function_list.h"`
`#include "bio.h"`
`#include "cio.h"`
`#include "thread.h"`
`#include "tls_keys.h"`
`#include "image.h"`
`#include "invert.h"`
`#include "j2k.h"`
`#include "jp2.h"`
`#include "mqc.h"`
`#include "pi.h"`
`#include "tgt.h"`
`#include "tcd.h"`
`#include "t1.h"`
`#include "dwt.h"`
`#include "t2.h"`
`#include "mct.h"`
`#include "opj_intmath.h"`
`#include "sparse_array.h"`
`#include "openjpwl/jpwl.h"`
`#include "opj_codec.h"`

Go to the source code of this file.

## Macros
#define | OPJ_FSEEK(stream, offset, whence) fseek(stream,offset,whence)
#define | OPJ_FSTAT(fildes, stat_buff) fstat(fildes,stat_buff)
#define | OPJ_FTELL(stream) ftell(stream)
#define | OPJ_STAT_STRUCT_T struct stat
#define | OPJ_STAT(path, stat_buff) stat(path,stat_buff)
#define | OPJ_RESTRICT /* restrict */
#define | OPJ_NOSANITIZE(kind)
#define | OPJ_UNUSED(x) (void)x

## Typedefs
typedef unsigned int | OPJ_BITFIELD

## Functions
static INLINE long | opj_lrintf (float f)

## Macro Definition Documentation

## ◆ OPJ_FSEEK

#define OPJ_FSEEK | ( |  | stream,
|  |  | offset,
|  |  | whence
| ) |  | fseek(stream,offset,whence)

## ◆ OPJ_FSTAT

#define OPJ_FSTAT | ( |  | fildes,
|  |  | stat_buff
| ) |  | fstat(fildes,stat_buff)

## ◆ OPJ_FTELL

#define OPJ_FTELL | ( |  | stream | ) | ftell(stream)

## ◆ OPJ_NOSANITIZE

#define OPJ_NOSANITIZE | ( |  | kind | ) |

## ◆ OPJ_RESTRICT

#define OPJ_RESTRICT /* restrict */

## ◆ OPJ_STAT

#define OPJ_STAT | ( |  | path,
|  |  | stat_buff
| ) |  | stat(path,stat_buff)

## ◆ OPJ_STAT_STRUCT_T

#define OPJ_STAT_STRUCT_T struct stat

## ◆ OPJ_UNUSED

#define OPJ_UNUSED | ( |  | x | ) | (void)x

## Typedef Documentation

## ◆ OPJ_BITFIELD

typedef unsigned int OPJ_BITFIELD

## Function Documentation

## ◆ opj_lrintf()

static INLINE long opj_lrintf | ( | float | f | ) |
| static

Referenced by opj_t1_cblk_encode_processor(), and opj_tcd_dc_level_shift_decode().